#include <common/cbdata.hpp>
#include <common/purehdc.hpp>

PaintInformation::PaintInformation(const PureDevice &paintDevice)
: mlpPaintDevice(new PureDevice((HDC)paintDevice))
{
}

PaintInformation::~PaintInformation()
{
	if(mlpPaintDevice)delete mlpPaintDevice;
}

PaintInformation::operator PureDevice&(void)const
{
  return *mlpPaintDevice; 
}

